> For the complete documentation index, see [llms.txt](https://docs.blockpi.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.blockpi.io/build/api-reference/op/rollup_getinfo.md).

# rollup\_getInfo

#### **Parameters:**

None

#### **Returns:**

**Object:**

* **mode: STRING** - `"sequencer"` or `"verifier"` depending on the node's mode of operation
* **syncing: BOOLEAN** - `true` if the node is currently syncing, `false` otherwise
* **ethContext: OBJECT**
  * **blockNumber: QUANTITY** - Block number of the latest known L1 block
  * **timestamp: QUANTITY** - Timestamp of the latest known L1 block
* **rollupContext: OBJECT**
  * **queueIndex: QUANTITY** - Index within the CTC of the last L1 to L2 message ingested
  * **index: QUANTITY** - Index of the last L2 tx processed
  * **verifiedIndex: QUANTITY** - Index of the last tx that was ingested from a batch that was posted to L1

#### Example:

{% code overflow="wrap" %}

```json
// Request
curl https://optimism.blockpi.network/v1/rpc/your-rpc-key -X POST -H "Content-Type: application/json" --data '{"jsonrpc":"2.0","method":"rollup_getInfo","params":[],"id":1}'

// Result
{
    "jsonrpc": "2.0",
    "id": 1,
    "result": {
        "mode": "verifier",
        "syncing": false,
        "ethContext": {
            "blockNumber": 16131692,
            "timestamp": 1670402841
        },
        "rollupContext": {
            "index": 46308439,
            "queueIndex": 227091,
            "verifiedIndex": 0
        }
    }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.blockpi.io/build/api-reference/op/rollup_getinfo.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
